<?php
	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	
	class PluginEditComments extends PluginBase{

		function PluginEditComments(){
			$this->PluginBase();

			$this->id = "editcomments";
			$this->desc = "Allows blog owner to edit comment text";
			$this->author = "Jon Daley";
			$this->locales = Array( "en_UK" );
			
			$this->init();
		}
		
		/**
		 * registers all of the actions that we're going to use
		 */
		function init(){			
                // Override(!) the default editComments action.  Cool
			$this->registerAdminAction( "editComments", "AdminPluginEditCommentsAction" );

                // Here are our additional features that we are adding to the regular
                // comment adding
            $this->registerAdminAction( "editComment", "AdminEditCommentAction" );
			$this->registerAdminAction( "updateComment", "AdminUpdateCommentAction" );
		}
	}  
?>